### Method

# GUPnPAV DIDLLiteResource get_protection

#### Declaration [src]

    const char*
    gupnp_didl_lite_resource_get_protection (
      GUPnPDIDLLiteResource* resource
    )

#### Description [src]

Get the protection system used by the `resource`.

Gets property | `GUPnPAV.DIDLLiteResource:protection`

#### Return value

Type: `const char*`

The protection system in use by the `resource` or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.